Summary: A way to more safely re-load firewall rules remotely
Name: fwrestart
Version: 1.08
Release: 1%{?dist}
License: GPLv2
Group: Applications/System
URL: http://www.tummy.com/Community/software/
Source: ftp://ftp.tummy.com/pub/tummy/fwrestart/fwrestart-%{version}.tar.gz
BuildRequires: python
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
This program can automatically detect when changes to the firewall block
the administrative shell session, and to take corrective action

fwrestart uses terminal auto-response codes to safely re-start firewall
rules over a remote shell session.  It sends a request to your terminal
(xterm, for example), which responds back automatically.  When that
response is received, ensuring that fwrestart can communicate with the
terminal, fwrestart then issues a command to restart the firewall.
It then tries another request to the terminal, and if that is not
received within 5 seconds, a command is run to clear the firewall and
an appropriate error is generated.

%prep
%setup
%build

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"/usr/sbin
mkdir -p "$RPM_BUILD_ROOT"/usr/share/man/man8
#  copy over files
cp fwrestart "$RPM_BUILD_ROOT"/usr/sbin
cp fwrestart.man "$RPM_BUILD_ROOT"/usr/share/man/man8/fwrestart.8

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%doc README LICENSE
%{_mandir}/man8/fwrestart.8.gz
%defattr(755,root,root)
%{_sbindir}/fwrestart

%changelog
* Sun Feb 19 2012 Kevin Fenzi <kevin@scrye.com> - 1.08-1
- Update to upstream 1.08

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep  4 2007 Kevin Fenzi <kevin@tummy.com> - 1.05-1
- Update to 1.0.5
- Clarify License

* Sun Aug 27 2006 Kevin Fenzi <kevin@tummy.com> - 1.04-2
- Rebuild for fc6 

* Mon May  8 2006 Kevin Fenzi <kevin@tummy.com> - 1.04-1
- Update to 1.04

* Mon Nov 14 2005 Kevin Fenzi <kevin@tummy.com> - 1.03-1.fc5
- Update to 1.03

* Tue Sep 27 2005 Kevin Fenzi <kevin@tummy.com> - 1.01-4.fc5
- add dist to release

* Thu Sep 22 2005 Kevin Fenzi <kevin@tummy.com> - 1.01-3
- A few more tweaks to clean up issues and re-submit to extras

* Thu May 26 2005 Kevin Fenzi <kevin@tummy.com> - 1.01-2
- Changed a number of items to match Fedora extras guidelines
